Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## controlP5
Class ControlWindow.Pointer

    java.lang.Object
      controlP5.ControlWindow.Pointer

Enclosing class:
  ControlWindow

    public class ControlWindow.Pointer

extends java.lang.Object

A pointer by default is linked to the mouse and stores the x and y position as well as the pressed and released state. The pointer can be accessed by its getter method `ControlWindow.getPointer()`. Then use `controlP5.ControlWindow#set(int, int)` to alter its position or invoke { `controlP5.ControlWindow#pressed()` or `controlP5.ControlWindow#released()` to change its state. To disable the mouse and enable the Pointer use `controlP5.ControlWindow#enable()` and `controlP5.ControlWindow#disable()` to default back to the mouse as input parameter.

Constructor Summary
`ControlWindow.Pointer()`

Method Summary
`void` | `disable()`
`void` | `enable()`
`int` | `getPreviousX()`
`int` | `getPreviousY()`
`int` | `getX()`
`int` | `getY()`
`boolean` | `isEnabled()`
`ControlWindow.Pointer` | `pressed()`
`ControlWindow.Pointer` | `released()`
`ControlWindow.Pointer` | `set(int theX, int theY)`
`ControlWindow.Pointer` | `setX(int theX)`
`ControlWindow.Pointer` | `setY(int theY)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControlWindow.Pointer

    public ControlWindow.Pointer()

Method Detail

### disable

    public void disable()

### enable

    public void enable()

### getPreviousX

    public int getPreviousX()

### getPreviousY

    public int getPreviousY()

### getX

    public int getX()

### getY

    public int getY()

### isEnabled

    public boolean isEnabled()

### pressed

    public ControlWindow.Pointer pressed()

### released

    public ControlWindow.Pointer released()

### set

    public ControlWindow.Pointer set(int theX,
                                     int theY)

### setX

    public ControlWindow.Pointer setX(int theX)

### setY

    public ControlWindow.Pointer setY(int theY)

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library controlP5 by Andreas Schlegel. (c) 2006-2012